Summary: X based image viewer for darned near all images
Name: xv
Version: 3.10a
Release: 10
Copyright: Shareware
Group: X11/Applications/Graphics
Source0: ftp://ftp.cis.upenn.edu/pub/xv/xv-3.10a.tar.gz
Source1: ftp://swrinde.nde.swri.edu/pub/png/applications/xv-3.10a-png-1.2d.tar.gz
Source2: xv.wmconfig
Patch0: xv-3.10a-linux.patch
Patch1: xv-3.10a.JPEG-patch
Patch2: xv-3.10a-glibc.patch
Url: http://www.trilon.com/xv/xv.html
Summary(de): X-basierender Bild-Viewer fr praktische smtliche Grafiken 
Summary(fr): Visualisateur sous X pour quasiment tous les types d'images
Summary(tr): X tabanl resim grntleyici

%changelog
* Fri May 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>

- added wmconfig entry 

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>

- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>

- built against glibc
- incorporated new jpegv6 patch from the author's web site

%description
This is the famous 'xv' by John Bradley.  It is shareware, but
we ship it with the permission of the authors.  It is a graphics
viewer for many file types, including gif, jpg, tiff, xwd, etc.
It also have manipulation features such as cropping, expanding,
etc.

%description -l de
Dies ist das berhmte 'xv' von John Bradley, ein Shareware-
Programm, das wir mit Erlaubnis des Autors liefern. Es ist
ein Grafik-Viewer fr diverse Dateitypen, einschlielich gif, 
funktionen wie Trimmen, Strecken u..

%description -l fr
Le clbre xv de John Bradley. C'est shareware, mais nous le distribuons
avec la permission de l'auteur. C'est un visualiseur graphique pour
de nombreux formats de fichier dont gif, jpg, tiff, xwd, etc.
Il offre aussi des fonctionnalits comme la capture, l'extension,la retouche de palette, etc.

%description -l tr
xv bata PNG, GIF, JPG, BMP, XBM, XPM olmak zere birok resim dosyasn
grntleyebilir, deiik formatlarda kaydedebilir ve zerinde boyutlandrma,
renk deitirme gibi baz temel ilemleri yapabilir. ok detayl ilemler
yapamamasna ramen temel resim ilemlerinde ncellikle kullanlabilecek,
kullanl arayzne sahip bir programdr.

%prep
%setup
cd $RPM_BUILD_DIR/xv-3.10a
tar xvfz $RPM_SOURCE_DIR/xv-3.10a-png-1.2d.tar.gz
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make 

%install
make install
cd /usr/X11R6/bin
strip xv bggen vdcomp xcmap xvpictoppm
mkdir -p /etc/X11/wmconfig
install -m644 -o root -g root $RPM_SOURCE_DIR/xv.wmconfig /etc/X11/wmconfig/xv

%files
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS 
%config /etc/X11/wmconfig/xv
/usr/X11R6/bin/xv
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xvpictoppm
/usr/man/man1/xv.1
/usr/man/man1/bggen.1
/usr/man/man1/xcmap.1
/usr/man/man1/xvpictoppm.1
/usr/man/man1/vdcomp.1
